# udir

~~~
udir: gérer les variables de répertoire

USAGE
    udir [options] [dir [name=value...]]

Par défaut, mettre à jour les variables du répertoire avec les définitions
données. Attention! Les définitions sont insérées *telles quelles* dans le
fichier. Par exemple, pour définir une variable qui contient des espaces,
on pourra faire:
    udir /path/to/dir 'var="value with spaces"'
pour définir un tableau:
    udir /path/to/dir 'array=(first second)'

OPTIONS
    -i, --show-desc
    -n, --show-note
        Afficher la description du répertoire. C'est l'action par défaut si ce
        script est lancé *sans argument*
    -d, --dump
        Afficher toutes les variables définies pour le répertoire 'dir'.
    -x, --eval 'CMDS;...'
        Exécuter les commandes dans le contexte des variables définies pour le
        répertoire.
    -e, --edit
        Editer les variables du répertoire
    --local-vars
        Avec -d, ajouter des directives 'local' aux définitions de variables
    -A, --all-parents
        Avec -d et -x, considérer les variables de tous les répertoires parents
        jusqu'à la racine. Pour ne considérer que les variables du répertoire
        spécifié (par défaut), utiliser --local-only
    --help-vars
        Afficher une descriptions des variables spécifiques aux outils de nutools
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary